Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hibergui.assoc
Class O2MEdit_Button<T>

    java.lang.Object
      hibergui.Component<T>
          hibergui.Edit<C>
              hibergui.assoc.AssociationEdit<T,C>
                  hibergui.assoc.O2MEdit<T,java.util.Set<T>>
                      hibergui.assoc.O2MEdit_Button<T>

    public abstract class O2MEdit_Button<T>

extends O2MEdit<T,java.util.Set<T>>

Nested Class Summary

Nested classes/interfaces inherited from class hibergui.Edit
`Edit.DefaultComputation<TT>, Edit.EditConstraint`

Field Summary

Fields inherited from class hibergui.assoc.AssociationEdit
`btnAssoc, dlgAssoc`

Fields inherited from class hibergui.Edit
`form, lsn_TRAVERSE, lsn_WIDGET_MOD, value`

Fields inherited from class hibergui.Component
`lsn_WIDGET_FOCUS, lsn_WIDGET_KEY, style`

Constructor Summary
`O2MEdit_Button(Form<?> form, org.eclipse.swt.widgets.Composite cptParent, int style, java.lang.String prop, java.lang.String name)`

Method Summary
`void` | `clear()` Clears the controls of the edit.
`protected org.eclipse.swt.widgets.Control` | `createContents(org.eclipse.swt.widgets.Composite cptParent)` Creates the GUI contents of the component.
`void` | `fill()` Fills the controls of the edit with its actual value.
`protected void` | `setSelection(T[] value)`

Methods inherited from class hibergui.assoc.O2MEdit
`createForm, createForm`

Methods inherited from class hibergui.assoc.AssociationEdit
`createAssocDialog, createAssocDialogButton, extract, isEnabled, refresh, setBackground, setEditable, setEnabled, setFocus`

Methods inherited from class hibergui.Edit
`addConstraint, addConstraint, addModificationListener, addTraverseListener, fireKeyPressed, fireKeyReleased, fireTraversal, fix, get, getDefault, getName, getPropertyName, hasDefault, isDirty, isEditable, isFixed, isValid, markClean, markDirty, markInvalid, markValid, removeConstraint, removeConstraint, removeModificationListener, removeTraverseListener, resetBackground, set, setDefault, setDefault, setDefault, verify`

Methods inherited from class hibergui.Component
`addChangeListener, addControlListener, addFocusListener, addKeyListener, dispose, fireChange, getControl, init, removeChangeListener, removeControlListener, removeFocusListener, removeKeyListener, setLayoutData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### O2MEdit_Button

    public O2MEdit_Button(Form<?> form,
                          org.eclipse.swt.widgets.Composite cptParent,
                          int style,
                          java.lang.String prop,
                          java.lang.String name)

Method Detail

### createContents

    protected org.eclipse.swt.widgets.Control createContents(org.eclipse.swt.widgets.Composite cptParent)

  Description copied from class: `Component`
  Creates the GUI contents of the component. Subclasses should override it.

  Specified by:
    `createContents` in class `Component<java.util.Set<T>>`
  Parameters:
    `cptParent` - The composite which the component will be placed on. The parent of the control of the component.
  Returns:
    The control of the component containing its GUI elements.

### clear

    public void clear()

  Description copied from class: `Edit`
  Clears the controls of the edit.

  Overrides:
    `clear` in class `AssociationEdit<T,java.util.Set<T>>`

### fill

    public void fill()

  Description copied from class: `Edit`
  Fills the controls of the edit with its actual value.

  Specified by:
    `fill` in class `Edit<java.util.Set<T>>`

### setSelection

    protected void setSelection(T[] value)

  Specified by:
    `setSelection` in class `AssociationEdit<T,java.util.Set<T>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD